# Class CreateXmrTxRequest

#### Hierarchy

- unknown
  - CreateXmrTxRequest

- Defined in src/protobuf/grpc_pb.d.ts:3272
- Defined in src/protobuf/grpc_pb.d.ts:3286

#####
Index

### Constructors

constructor

### Methods

addDestinations
clearDestinationsList
getDestinationsList
serializeBinary
setDestinationsList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new CreateXmrTxRequest(): CreateXmrTxRequest

- #### Returns CreateXmrTxRequest

  Inherited from jspb.Message.constructor

## Methods

### addDestinations

- addDestinations(value?: XmrDestination, index?: number): XmrDestination

- #### Parameters

  - ##### `Optional` value: XmrDestination

  - ##### `Optional` index: number

  #### Returns XmrDestination

  - Defined in src/protobuf/grpc_pb.d.ts:3276

### clearDestinationsList

- clearDestinationsList(): CreateXmrTxRequest

- #### Returns CreateXmrTxRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3275

### getDestinationsList

- getDestinationsList(): XmrDestination[]

- #### Returns XmrDestination[]

  - Defined in src/protobuf/grpc_pb.d.ts:3273

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3278

### setDestinationsList

- setDestinationsList(value: XmrDestination[]): CreateXmrTxRequest

- #### Parameters

  - ##### value: XmrDestination[]

  #### Returns CreateXmrTxRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3274

### toObject

- toObject(includeInstance?: boolean): CreateXmrTxRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns CreateXmrTxRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3279

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): CreateXmrTxRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CreateXmrTxRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3282

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CreateXmrTxRequest, reader: BinaryReader): CreateXmrTxRequest

- #### Parameters

  - ##### message: CreateXmrTxRequest

  - ##### reader: BinaryReader

  #### Returns CreateXmrTxRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3283

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: CreateXmrTxRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: CreateXmrTxRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3281

### `Static` toObject

- toObject(includeInstance: boolean, msg: CreateXmrTxRequest): CreateXmrTxRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CreateXmrTxRequest

  #### Returns CreateXmrTxRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3280

Generated using TypeDoc